%define major	3
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: 	 	rasqal
Summary: 	RDF querying library
Group:		Databases
Version: 	0.9.29
Release: 	%mkrel 2
License:	LGPL
URL:		http://librdf.org/rasqal/
Source:		http://librdf.org/dist/source/%{name}-%{version}.tar.gz
Patch0:		rasqal-0.9.28-linkm.patch
BuildRequires:	raptor2-devel >= 2.0.4
BuildRequires:	libmpfr-devel
BuildRequires:	flex bison

%description
Rasqal handles Resource Description Framework (RDF) query syntaxes, query
construction and query execution returning result bindings. The supported
query languages are RDQL and SPARQL.  Rasqal was designed to work closely
with the Redland RDF library but is entirely separate. It is intended to be
a portable library working across many POSIX systems (Unix, GNU/Linux,
BSDs, OSX, cygwin) win32 and others.

%files
%doc AUTHORS COPYING* ChangeLog LICENSE* NEWS* NOTICE README*
%{_bindir}/roqet
%{_mandir}/man1/roqet*

#--------------------------------------------------------------------
%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%files -n %{libname}
%{_libdir}/librasqal.so.%{major}*

#--------------------------------------------------------------------
%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Provides:	lib%{name}-devel = %{version}-%{release} 

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%files -n %{develname}
%{_bindir}/%name-config
%multiarch %{multiarch_bindir}/%name-config
%{_includedir}/rasqal
%{_libdir}/librasqal.so
%{_libdir}/pkgconfig/rasqal.pc
%{_mandir}/man1/rasqal-config.*
%{_mandir}/man3/librasqal.*
%{_datadir}/gtk-doc/html/%name/

#--------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
    --disable-static
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}/%{_bindir}/%{name}-config

rm -fr %{buildroot}%{_libdir}/librasqal.la


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.9.29-2.mga3
+ Revision: 380209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 0.9.29-1.mga3
+ Revision: 282273
- 0.9.29

* Sat Nov 19 2011 fwang <fwang> 0.9.28-1.mga2
+ Revision: 169188
- rediff math patch
- new version 0.9.28
- rediff linkage patch
- new version 0.9.27
- fix linakge

  + mikala <mikala>
    - Remove %%defattr()
    - Remove obsoletes from 2008.0

  + ze <ze>
    - version 0.9.26
    - and libtool strikes again... (use autogen.sh)
    - avoid using useless macros
    - proper way to avoid static files
    - list files for a correct uninstall
    - arrange spec

* Sat Jul 16 2011 dmorgan <dmorgan> 0.9.21-3.mga2
+ Revision: 124995
- Fix buildrequires
- Revert to a version that does not break soprano

* Sat Jul 16 2011 dmorgan <dmorgan> 0.9.22-2.mga2
+ Revision: 124571
- Do not provide la files

* Fri Jul 15 2011 mikala <mikala> 0.9.22-1.mga2
+ Revision: 124550
- Fix files list

  + kharec <kharec>
    - Fix BR
    - new major
    - new version
    - fix file list

* Sat Jan 15 2011 mikala <mikala> 0.9.21-1.mga1
+ Revision: 18279
- Drop mdk macros
- Remove BuildRoot
- imported package rasqal

